python-openstacksdk (4.8.0-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * New upstream version 4.8.0
  * d/watch: update for new upstream
  * d/u/signing-key.asc: update for gazpacho
  * d/patches/*: refresh patches
  * New upstream release for OpenStack Gazpacho. (LP: #2138121)
  * d/p/fix-py314-resource-annotations.patch: Add patch for Python 3.14.

 -- Myles Penner <myles.penner@canonical.com>  Fri, 16 Jan 2026 15:06:19 -0800

python-openstacksdk (4.7.1-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125012).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.
  * d/watch: Update version detection.
  * d/control: Align (Build-)Depends with upstream.

 -- Myles Penner <myles.penner@canonical.com>  Mon, 22 Sep 2025 07:40:26 -0700

python-openstacksdk (4.6.0+git2025070814.83fc95d25-0ubuntu2) questing; urgency=medium

  * d/rules: Include PBR version.
  * d/s/options: Ignore .launchpad.yaml when generating diffs.
  * d/control: Downgrade python-typing-extensions

 -- Myles Penner <myles.penner@canonical.com>  Tue, 22 Jul 2025 09:11:35 -0700

python-openstacksdk (4.6.0+git2025070814.83fc95d25-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/p/skip-if-root.patch: Refresh.
  * d/control: Align (Build-)Depends with upstream.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 15 Jul 2025 07:03:00 -0700

python-openstacksdk (4.4.0-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Thu, 27 Feb 2025 12:47:34 +0000

python-openstacksdk (4.3.0-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Thu, 13 Feb 2025 12:35:16 +0000

python-openstacksdk (4.2.0-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.
  * d/control: Align (Build-)Depends with upstream, drop surplus
    dependencies.

 -- James Page <james.page@ubuntu.com>  Wed, 15 Jan 2025 17:07:38 +0000

python-openstacksdk (4.0.0-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Wed, 25 Sep 2024 09:56:26 +0100

python-openstacksdk (3.3.0-0ubuntu1) oracular; urgency=medium

  * New upstream release. 

 -- James Page <james.page@ubuntu.com>  Wed, 07 Aug 2024 08:39:40 +0100

python-openstacksdk (3.0.0-0ubuntu2) noble; urgency=medium

  * d/control: Drop dependency on appdirs, replaced by platformdirs.

 -- James Page <james.page@ubuntu.com>  Thu, 21 Mar 2024 09:58:05 +0000

python-openstacksdk (3.0.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal.
  * d/control: Add python3-platformdirs to (Build-)Depends.

 -- James Page <james.page@canonical.com>  Mon, 11 Mar 2024 10:07:45 +0000

python-openstacksdk (1.5.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 05 Sep 2023 15:27:35 -0400

python-openstacksdk (1.4.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Aug 2023 10:47:29 -0400

python-openstacksdk (1.3.1-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 11 Jul 2023 13:57:26 -0400

python-openstacksdk (1.2.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * d/p/skip-if-root.patch: Test skipped if build is running as root
    as lpci builds in .launchpad.yaml do.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Jun 2023 17:00:58 -0400

python-openstacksdk (1.0.1-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 28 Feb 2023 08:23:52 -0500

python-openstacksdk (0.103.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Jan 2023 15:28:06 -0500

python-openstacksdk (0.101.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Sep 2022 18:26:08 -0400

python-openstacksdk (0.99.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 May 2022 15:24:01 -0400

python-openstacksdk (0.61.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/control: Bump debhelper compat to 13.
  * d/rules: Switch to pybuild.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jan 2022 14:19:00 -0500

python-openstacksdk (0.59.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Sep 2021 14:06:52 -0400

python-openstacksdk (0.57.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 09 Jun 2021 07:39:06 +0000

python-openstacksdk (0.55.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 26 Mar 2021 13:07:24 +0000

python-openstacksdk (0.52.0-0ubuntu1) hirsute; urgency=medium

  * d/control: Align Depends with upstream.
  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 03 Dec 2020 12:20:59 +0000

python-openstacksdk (0.50.0-0ubuntu1) groovy; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 09 Oct 2020 07:17:44 +0000

python-openstacksdk (0.49.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 11 Sep 2020 15:56:11 -0400

python-openstacksdk (0.48.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 24 Jul 2020 12:48:50 +0000

python-openstacksdk (0.46.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/p/reduce-logging.patch: Dropped. Fixed in new upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Apr 2020 14:26:24 -0400

python-openstacksdk (0.45.0-0ubuntu2) focal; urgency=medium

  * Resolve issues with memory exhaustion during test execution:
    - d/rules: Turn off test log capture to reduce memory pressure which
      causes test failures on builders due to excessive logging and
      buffering to RAM.
    - d/p/reduce-logging.patch: Pick fix to reduce log level from DEBUG
      -> INFO to avoid memory exhaustion.

 -- James Page <james.page@ubuntu.com>  Tue, 31 Mar 2020 11:11:54 +0100

python-openstacksdk (0.45.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/rules: Increase OS_TEST_TIMEOUT inline with upstream.

 -- James Page <james.page@ubuntu.com>  Mon, 30 Mar 2020 16:53:34 +0100

python-openstacksdk (0.41.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Mar 2020 10:10:42 -0400

python-openstacksdk (0.39.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 28 Jan 2020 17:00:13 +0100

python-openstacksdk (0.38.0-0ubuntu1) focal; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/p/install-missing-files.patch: Dropped. Not needed with pristine-tar.
    - d/t/*: Add autopkgtests.
    - d/watch: Get tarball from pypi.debian.net.
  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 06 Dec 2019 13:57:36 -0500

python-openstacksdk (0.36.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Sep 2019 14:18:42 -0400

python-openstacksdk (0.35.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 09:33:54 +0200

python-openstacksdk (0.35.0-2) experimental; urgency=medium

  * Re-enable testing at build time, and add some autopkgtest, thanks to
    Corey Bryant (Closes: #930086).

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Oct 2019 17:30:55 +0200

python-openstacksdk (0.35.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Sep 2019 22:49:18 +0200

python-openstacksdk (0.31.1-0ubuntu2) eoan; urgency=medium

  * d/control: Disable autopkgtest-pkg-python testsuite as it does
    not load the right module name.
  * d/tests: Provide simple test suite to ensure loadable module.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 16 Sep 2019 13:56:43 +0200

python-openstacksdk (0.31.1-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 30 Jul 2019 15:33:55 -0400

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog python3-openstacksdk`.
